import request from '@/utils/request'

//获取区域告警管理数据 
export function getRegionalalarmData() {
    return request({
        url: '/api1/Distributionnetwork-analysis/Regionalalarm/getRegionalalarm',
        method: 'get'
    })
}

//获取监测点告警管理数据 
export function getMonitoringpointAlarmData() {
    return request({
        url: '/api1/Distributionnetwork-analysis/MonitoringpointAlarm/getMonitoringpointAlarm',
        method: 'get'
    })
}

//获取告警统计数据 
export function getAlarmStatisticsData() {
    return request({
        url: '/api1/Distributionnetwork-analysis/AlarmStatistics/getAlarmStatistics',
        method: 'get'
    })
}

//获取告警明细查看数据 
export function getAlarmdetailsData() {
    return request({
        url: '/api1/Distributionnetwork-analysis/Alarmdetails/getAlarmdetails',
        method: 'get'
    })
}
export function getAlarmDetailList(data) {
    return request({
        url: '/device-boot/rStatPwAlarmCountW/getAlarmDetailList',
        method: 'post',
        data
    })
}



export function getPwAllRStatAreaAlarmCountMList(data) {
    return request({
        url: '/device-boot/pwRStatAreaAlarmCountM/getPwAllRStatAreaAlarmCountMList',
        method: 'post',
        data
    })
}
export function getPwRMpMonitorAlarmCountMList(data) {
    return request({
        url: '/device-boot/pwRMpMonitorAlarmCountM/getPwRMpMonitorAlarmCountMList',
        method: 'post',
        data
    })
}
export function getAllRStatPwAlarmCountList(data) {
    return request({
        url: '/device-boot/rStatPwAlarmCountW/getAllRStatPwAlarmCountList',
        method: 'post',
        data
    })
}